Kea: isc::eval::EvalParser::token Struct Reference

| Kea 3.2.0-git

isc::eval::EvalParser::token Struct Reference

Token kinds. More...

`#include <parser.h>`

## Public Types
enum | token_kind_type { TOKEN_EVALEMPTY = -2 , TOKEN_END = 0 , TOKEN_EVALerror = 256 , TOKEN_EVALUNDEF = 257 , TOKEN_LPAREN = 258 , TOKEN_RPAREN = 259 , TOKEN_NOT = 260 , TOKEN_AND = 261 , TOKEN_SAND = 262 , TOKEN_OR = 263 , TOKEN_SOR = 264 , TOKEN_EQUAL = 265 , TOKEN_OPTION = 266 , TOKEN_RELAY4 = 267 , TOKEN_RELAY6 = 268 , TOKEN_MEMBER = 269 , TOKEN_PEERADDR = 270 , TOKEN_LINKADDR = 271 , TOKEN_LBRACKET = 272 , TOKEN_RBRACKET = 273 , TOKEN_DOT = 274 , TOKEN_TEXT = 275 , TOKEN_HEX = 276 , TOKEN_EXISTS = 277 , TOKEN_PKT = 278 , TOKEN_IFACE = 279 , TOKEN_SRC = 280 , TOKEN_DST = 281 , TOKEN_LEN = 282 , TOKEN_PKT4 = 283 , TOKEN_CHADDR = 284 , TOKEN_HLEN = 285 , TOKEN_HTYPE = 286 , TOKEN_CIADDR = 287 , TOKEN_GIADDR = 288 , TOKEN_YIADDR = 289 , TOKEN_SIADDR = 290 , TOKEN_SUBSTRING = 291 , TOKEN_SPLIT = 292 , TOKEN_ALL = 293 , TOKEN_COMA = 294 , TOKEN_CONCAT = 295 , TOKEN_PLUS = 296 , TOKEN_IFELSE = 297 , TOKEN_SIFELSE = 298 , TOKEN_TOHEXSTRING = 299 , TOKEN_ADDRTOTEXT = 300 , TOKEN_INT8TOTEXT = 301 , TOKEN_INT16TOTEXT = 302 , TOKEN_INT32TOTEXT = 303 , TOKEN_UINT8TOTEXT = 304 , TOKEN_UINT16TOTEXT = 305 , TOKEN_UINT32TOTEXT = 306 , TOKEN_LCASE = 307 , TOKEN_UCASE = 308 , TOKEN_PKT6 = 309 , TOKEN_MSGTYPE = 310 , TOKEN_TRANSID = 311 , TOKEN_VENDOR_CLASS = 312 , TOKEN_VENDOR = 313 , TOKEN_ANY = 314 , TOKEN_DATA = 315 , TOKEN_ENTERPRISE = 316 , TOKEN_MATCH = 317 , TOKEN_TOPLEVEL_BOOL = 318 , TOKEN_TOPLEVEL_STRING = 319 , TOKEN_STRING = 320 , TOKEN_INTEGER = 321 , TOKEN_HEXSTRING = 322 , TOKEN_OPTION_NAME = 323 , TOKEN_IP_ADDRESS = 324 }
typedef token_kind_type | yytokentype
| Backward compatibility alias (Bison 3.6).

## Detailed Description

Token kinds.

Definition at line 503 of file parser.h.

## Member Typedef Documentation

## ◆ yytokentype

typedef token_kind_type isc::eval::EvalParser::token::yytokentype

Backward compatibility alias (Bison 3.6).

Definition at line 580 of file parser.h.

## Member Enumeration Documentation

## ◆ token_kind_type

enum isc::eval::EvalParser::token::token_kind_type

Enumerator
TOKEN_EVALEMPTY |
TOKEN_END |
TOKEN_EVALerror |
TOKEN_EVALUNDEF |
TOKEN_LPAREN |
TOKEN_RPAREN |
TOKEN_NOT |
TOKEN_AND |
TOKEN_SAND |
TOKEN_OR |
TOKEN_SOR |
TOKEN_EQUAL |
TOKEN_OPTION |
TOKEN_RELAY4 |
TOKEN_RELAY6 |
TOKEN_MEMBER |
TOKEN_PEERADDR |
TOKEN_LINKADDR |
TOKEN_LBRACKET |
TOKEN_RBRACKET |
TOKEN_DOT |
TOKEN_TEXT |
TOKEN_HEX |
TOKEN_EXISTS |
TOKEN_PKT |
TOKEN_IFACE |
TOKEN_SRC |
TOKEN_DST |
TOKEN_LEN |
TOKEN_PKT4 |
TOKEN_CHADDR |
TOKEN_HLEN |
TOKEN_HTYPE |
TOKEN_CIADDR |
TOKEN_GIADDR |
TOKEN_YIADDR |
TOKEN_SIADDR |
TOKEN_SUBSTRING |
TOKEN_SPLIT |
TOKEN_ALL |
TOKEN_COMA |
TOKEN_CONCAT |
TOKEN_PLUS |
TOKEN_IFELSE |
TOKEN_SIFELSE |
TOKEN_TOHEXSTRING |
TOKEN_ADDRTOTEXT |
TOKEN_INT8TOTEXT |
TOKEN_INT16TOTEXT |
TOKEN_INT32TOTEXT |
TOKEN_UINT8TOTEXT |
TOKEN_UINT16TOTEXT |
TOKEN_UINT32TOTEXT |
TOKEN_LCASE |
TOKEN_UCASE |
TOKEN_PKT6 |
TOKEN_MSGTYPE |
TOKEN_TRANSID |
TOKEN_VENDOR_CLASS |
TOKEN_VENDOR |
TOKEN_ANY |
TOKEN_DATA |
TOKEN_ENTERPRISE |
TOKEN_MATCH |
TOKEN_TOPLEVEL_BOOL |
TOKEN_TOPLEVEL_STRING |
TOKEN_STRING |
TOKEN_INTEGER |
TOKEN_HEXSTRING |
TOKEN_OPTION_NAME |
TOKEN_IP_ADDRESS |

Definition at line 505 of file parser.h.

The documentation for this struct was generated from the following file:

- parser.h